Bug 1924 - ipfwadm 2.3.0 does not allow ICMP masquerading
Summary: ipfwadm 2.3.0 does not allow ICMP masquerading
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: distribution
Version: 5.2
Hardware: All
OS: Linux
high
high
Target Milestone: ---
Assignee: Cristian Gafton
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-04-01 03:26 UTC by dlarson
Modified: 2021-01-14 08:40 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 1999-07-02 20:52:04 UTC


Attachments (Terms of Use)

Description dlarson 1999-04-01 03:26:15 UTC
This worked in previous versions od ipfwadm.


See:

	http://www.xos.nl/linux/ipfwadm/versions.html


Dan Larson
Network Computer Inc.

Comment 1 Cristian Gafton 1999-07-02 20:52:59 UTC
ipfwadm does not handle that. period.

Ipchains takes care of the problem, if one needs icmp masq the it can
do a --rebuild for the ipchains src.rpm from rawhide.ipfwadm does not handle that. period.

Ipchains takes care of the problem, if one needs icmp masq the it can
do a --rebuild for the ipchains src.rpm from rawhide.

Comment 2 Masaki Hatada 2021-01-14 08:40:00 UTC
Dear Red Hat,

We are currently avoiding this issue by applying the following MachineConfig.
Could Red Hat incorporate it as an official fix?

apiVersion: machineconfiguration.openshift.io/v1
kind: MachineConfig
metadata:
  labels:
    machineconfiguration.openshift.io/role: master
  name: 98-logrotate-master
spec:
  config:
    ignition:
      version: 3.1.0
    systemd:
      units:
      - contents: |
          [Unit]
          Description=Daily Log Rotation Timer
          [Timer]
          OnCalendar=daily
          AccuracySec=1h
          [Install]
          WantedBy=multi-user.target
        enabled: true
        name: logrotate.timer
      - contents: |
          [Unit]
          Description=Log Rotation
          [Service]
          Type=oneshot
          ExecStart=/usr/sbin/logrotate -v /etc/logrotate.conf
          [Install]
          WantedBy=multi-user.target
        enabled: true
        name: logrotate.service


Note You need to log in before you can comment on or make changes to this bug.